# Entity Module

**Get Entity Info**

This API will give you details about your Organization.

<mark style="color:blue;">`GET`</mark> `https://api.questprotocol.xyz/api/entities/{entityId}`

#### Path Parameters

| Name                                       | Type   | Description |
| ------------------------------------------ | ------ | ----------- |
| entityId<mark style="color:red;">\*</mark> | String |             |

#### Query Parameters

| Name                                      | Type   | Description |
| ----------------------------------------- | ------ | ----------- |
| address<mark style="color:red;">\*</mark> | String |             |
| signature                                 | String |             |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "success": true,
    "data": {
        "contracts": [],
        "ownerAddress": [
            "0x8500b66dd1c8b5d79d8a09f2b4df698374695e9e",
            "0x61b2d571cd6ce9fd1c9494b9f4f36429edf0e511"
        ],
        "isEnabled": true,
        "public": false,
        "defaultDyNftThemeId": "0",
        "id": "c-546bf8eb-6bde-48ec-bf28-c83abea93209",
        "name": "AntoO",
        "openseaSlug": "",
        "description": "This is test community for the SDK Development",
        "twitter": "https://twitter.com/quest__labs",
        "discord": "to be added",
        "telegram": "to be added",
        "instagram": "to be added",
        "website": "https://www.questprotocol.xyz/",
        "modifiedAt": "2022-09-16T22:38:13.090Z",
        "createdAt": "2022-09-16T22:38:13.090Z",
        "__v": 0,
        "bannerURL": "https://pin.questprotocol.xyz/ipfs/QmPduw4GqKigq7Ko4xCZi6rnLUmMXbgmDe4fn5TsKcWd5E",
        "communityURLAlias": "quest-dev-sdk",
        "imageURL": "https://pin.questprotocol.xyz/ipfs/QmYMDATohHkwQac3C7PHU5gd5iWVtmR2y6363aDAm8GeWW"
    }
}
```

{% endtab %}
{% endtabs %}

#### Update Entity Info

Can only be called by the owners of the entity.

<mark style="color:green;">`POST`</mark> `https://api.questprotocol.xyz/api/entities`

#### Path Parameters

| Name                                       | Type   | Description |
| ------------------------------------------ | ------ | ----------- |
| entityID<mark style="color:red;">\*</mark> | String |             |
| update                                     | String |             |

#### Query Parameters

| Name                                        | Type   | Description |
| ------------------------------------------- | ------ | ----------- |
| address<mark style="color:red;">\*</mark>   | String |             |
| signature<mark style="color:red;">\*</mark> | String |             |

#### Request Body

| Name                                             | Type   | Description |
| ------------------------------------------------ | ------ | ----------- |
| name<mark style="color:red;">\*</mark>           | String |             |
| contracts                                        | String |             |
| openseaSlug                                      | String |             |
| description<mark style="color:red;">\*</mark>    | String |             |
| ownerAddresses<mark style="color:red;">\*</mark> | Array  |             |
| twitter<mark style="color:red;">\*</mark>        | String |             |
| discord<mark style="color:red;">\*</mark>        | String |             |
| telegram                                         | String |             |
| instagram                                        | String |             |
| website<mark style="color:red;">\*</mark>        | String |             |
| imageUrl<mark style="color:red;">\*</mark>       | String |             |
| bannerUrl                                        |        |             |
| defaultDyNftThemeId                              | String |             |
| id                                               | String |             |

{% tabs %}
{% tab title="200: OK " %}

```json
{     "success": true }
```

{% endtab %}
{% endtabs %}

{% hint style="success" %}
For any other custom, fields contact Quest Admins.
{% endhint %}

#### Get Users in Entity

Get a list of all users of the entity.

<mark style="color:blue;">`GET`</mark> `https://api.questprotocol.xyz/api/entities/{entityId}/users`

#### Path Parameters

| Name     | Type   | Description |
| -------- | ------ | ----------- |
| entityID | String |             |
| users    | String |             |

#### Query Parameters

| Name                                        | Type   | Description |
| ------------------------------------------- | ------ | ----------- |
| address<mark style="color:red;">\*</mark>   | String |             |
| signature<mark style="color:red;">\*</mark> | String |             |

{% tabs %}
{% tab title="200: OK " %}

````json
```json
{
    "success": true,
    "users": [
        {},
        {},
        {},
        {},
        {},
        {},
        {}
    ]
}
```
````

{% endtab %}
{% endtabs %}

#### Manually Add User to Entity

In some cases, an entity is automatically created.

<mark style="color:green;">`POST`</mark> `https://api.questprotocol.xyz/api/entities/{entityId}/force-add`

#### Path Parameters

| Name                                       | Type   | Description |
| ------------------------------------------ | ------ | ----------- |
| entityID<mark style="color:red;">\*</mark> | String |             |
| users<mark style="color:red;">\*</mark>    | String |             |

#### Query Parameters

| Name                                        | Type   | Description |
| ------------------------------------------- | ------ | ----------- |
| address<mark style="color:red;">\*</mark>   | String |             |
| signature<mark style="color:red;">\*</mark> | String |             |

#### Request Body

| Name                                        | Type   | Description |
| ------------------------------------------- | ------ | ----------- |
| addresses<mark style="color:red;">\*</mark> | Array  |             |
| Chain<mark style="color:red;">\*</mark>     | String |             |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "success": true
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.questera.ai/questera-ai-sdks/rest-apis/entity-module.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
